#!/bin/sh
# gvSIG.sh

GVSIG_SH_FILE=`readlink -f $0`
GVSIG_BIN=`dirname $GVSIG_SH_FILE`
GVSIG_INSTALL_PATH=`readlink -f $GVSIG_BIN/..`
GVSIG_LIBS="$GVSIG_INSTALL_PATH"/libs-linux
GVSIG_JRE_HOME="$GVSIG_INSTALL_PATH"/JRE/linux
export JAVA_HOME="$GVSIG_JRE_HOME"
export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:"$GVSIG_LIBS"
cd "$GVSIG_BIN"


for i in $GVSIG_BIN/lib/*.jar ; do
  LIBRARIES=$LIBRARIES:"$i"
done
for i in $GVSIG_BIN/lib/*.zip ; do
  LIBRARIES=$LIBRARIES:"$i"
done

"$JAVA_HOME"/bin/java -Djava.library.path=/usr/lib:"$GVSIG_LIBS" -cp andami.jar:$LIBRARIES:"$HOME/gvSIG/ojdbc14.jar":"$HOME/gvSIG/sdoapi.jar" -Xmx500M com.iver.andami.Launcher gvSIG gvSIG/extensiones "$@"
